import type Migration from './Migration'

export default {
	date: 0,
	async up(client): Promise<boolean> {
		await client.execute(`CREATE TABLE IF NOT EXISTS settings (
				id TEXT PRIMARY KEY,
				value TEXT
			);`)

		await client.execute(`INSERT INTO settings (id, value) VALUES ('db_created', ${new Date().getTime().toString()})`)
		await client.execute(`INSERT INTO settings (id, value) VALUES ('db_version', -1)`)
		await client.execute(`UPDATE settings SET value = ${new Date().getTime().toString()} WHERE id = 'db_created';`)

		return true
	},
	async down(client) {
		await client.execute(`DROP TABLE settings`)

		return true
	},
} as Migration
