import type { APIRoute } from 'astro'
import ResponseBuilder from 'libs/ResponseBuilder'

function randomInt(min = 0, max = 10) {
	return Math.round(Math.random() * max + min)
}

export const ALL: APIRoute = ({ url }) => {
	return new ResponseBuilder().body({caca: 'pokemon', list: [url.searchParams.get('filter'), ...Array(randomInt(1, 20)).fill(0).map(() => randomInt(10, 100))]}).build()
}
